/*
  GUIDO Library
  Copyright (C) 2017 Grame

  This Source Code Form is subject to the terms of the Mozilla Public
  License, v. 2.0. If a copy of the MPL was not distributed with this
  file, You can obtain one at http://mozilla.org/MPL/2.0/.

  Grame Research Laboratory, 11, cours de Verdun Gensoul 69002 Lyon - France
  research@grame.fr

*/

#ifndef ___TagParameterStrings___
#define ___TagParameterStrings___

//---------------------------------------------
// the tags parameters strings
//---------------------------------------------
// common tags parameters strings
extern const char* kARFontAbleParams;
extern const char* kCommonParams;

//---------------------------------------------
// specific tags parameters strings
extern const char* kARAccelerandoParams;
extern const char* kARAccidentalParams;
extern const char* kARAccoladeParams;
extern const char* kARAlterParams;
extern const char* kARArpeggioParams;
extern const char* kARArticulationParams;
extern const char* kARAutoParams;
extern const char* kARBarFormatParams;
extern const char* kARBarParams;
extern const char* kARBeamParams;
extern const char* kARBembelParams;
extern const char* kARBowParams;
extern const char* kARBowingParams;
extern const char* kARClefParams;
extern const char* kARClusterParams;
extern const char* kARColorParams;
extern const char* kARComposerParams;
extern const char* kARCueParams;
extern const char* kARDisplayDurationParams;
extern const char* kARDrHoosParams;
extern const char* kARDrRenzParams;
extern const char* kARDynamicParams;
extern const char* kARFeatheredBeamParams;
extern const char* kARFermataParams;
extern const char* kARFingeringParams;
extern const char* kARFooterParams;
extern const char* kARGlissandoParams;
extern const char* kARGraceParams;
extern const char* kARHarmonyParams;
extern const char* kARInstrumentParams;
extern const char* kARIntensParams;
extern const char* kARJumpParams;
extern const char* kARKeyParams;
extern const char* kARLyricsParams;
extern const char* kARMarkParams;
extern const char* kARMeterParams;
extern const char* kARMMRestParams;
extern const char* kARNoteFormatParams;
extern const char* kAROctavaParams;
extern const char* kARPageFormatParams;
extern const char* kARPizzicatoParams;
extern const char* kARRitardandoParams;
extern const char* kARSpaceParams;
extern const char* kARSpecialParams;
extern const char* kARStaccatoParams;
extern const char* kARStaffFormatParams;
extern const char* kARStaffParams;
extern const char* kARSymbolParams;
extern const char* kARTempoParams;
extern const char* kARTextParams;
extern const char* kARTextParams;
extern const char* kARTitleParams;
extern const char* kARTremoloParams;
extern const char* kARTrillParams;
extern const char* kARTStemParams;
extern const char* kARTupletParams;
extern const char* kARUnitsParams;
extern const char* kARVoltaParams;


//---------------------------------------------
// tags parameters supported at language level
//---------------------------------------------
extern const char* kAboveStr;
extern const char* kAbsTempoStr;
extern const char* kAccidentalStr;
extern const char* kAdxStr;
extern const char* kAdyStr;
extern const char* kAfterStr;
extern const char* kAlphaStr;
//extern const char* kAnchorStr;
extern const char* kAutoBarlinesStr;
extern const char* kAutoMeasNumStr;
extern const char* kAutoposStr;
extern const char* kBeginStr;
extern const char* kBeforeStr;
extern const char* kBelowStr;
extern const char* kBlueStr;
extern const char* kBmStr;
extern const char* kBoldStr;
extern const char* kBPMStr;
extern const char* kCharStr;
extern const char* kColorStr;
extern const char* kCountStr;
extern const char* kCurveStr;
extern const char* kDdStr;
extern const char* kDeltaYStr;
extern const char* kDetuneStr;
extern const char* kDisplayMeasNumStr;
extern const char* kDispNoteStr;
extern const char* kDirectionStr;
extern const char* kDistanceStr;
extern const char* kDMStr;
extern const char* kDownStr;
extern const char* kDrawDurationStr;
extern const char* kDStr;
extern const char* kDurationsStr;
extern const char* kDurStr;
extern const char* kDx1Str;
extern const char* kDx2Str;
extern const char* kDx3Str;
extern const char* kDx4Str;
extern const char* kDxStr;
extern const char* kDy1Str;
extern const char* kDy2Str;
extern const char* kDy3Str;
extern const char* kDy4Str;
extern const char* kDyStr;
extern const char* kEnclosureStr;
extern const char* kFAttributesStr;
extern const char* kFileStr;
extern const char* kFillStr;
extern const char* kFontStr;
extern const char* kFormatStr;
extern const char* kFreeStr;
extern const char* kFSizeStr;
extern const char* kGreenStr;
extern const char* kGroupStr;
extern const char* kHdxStr;
extern const char* kHdyStr;
extern const char* kHideNaturalsStr;
extern const char* kHiddenStr;
extern const char* kHStr;
extern const char* kHStr;
extern const char* kIDStr;
extern const char* kInverseStr;
extern const char* kIStr;
extern const char* kKeyStr;
extern const char* kLengthStr;
extern const char* kLineThicknesStr;
extern const char* kLmStr;
extern const char* kMarkStr;
extern const char* kMeasNumStr;
extern const char* kModeStr;
extern const char* kMStr;
extern const char* kNameStr;
extern const char* kNDotsStr;
extern const char* kNoteStr;
extern const char* kNStr;
extern const char* kNumDxStr;
extern const char* kNumDyStr;
extern const char* kPageFormatStr;
extern const char* kPitchStr;
extern const char* kPositionStr;
extern const char* kR3Str;
extern const char* kRangeStr;
extern const char* kRedStr;
extern const char* kRepeatStr;
extern const char* kRmStr;
extern const char* kSizeStr;
extern const char* kSpeedStr;
extern const char* kStyleStr;
extern const char* kTempoStr;
extern const char* kTextFormatStr;
extern const char* kTextSizeStr;
extern const char* kTextStr;
extern const char* kThicknesStr;
extern const char* kTmStr;
extern const char* kTranspStr;
extern const char* kTrStr;
extern const char* kTypeStr;
extern const char* kUpStr;
extern const char* kWStr;
extern const char* kWavyStr;
extern const char* kYposStr;

// auto tag parameters
extern const char* kEndBarStr;
extern const char* kPageBreakStr; 
extern const char* kSystemBreakStr; 
extern const char* kClefKeyMeterOrderStr; 
extern const char* kStretchLastLineStr; 
extern const char* kStretchFirstLineStr; 
extern const char* kLyricsAutoPosStr; 
extern const char* kInstrAutoPosStr;
extern const char* kIntensAutoPosStr;
extern const char* kAutoEndBarStr; 
extern const char* kAutoPageBreakStr; 
extern const char* kAutoSystemBreakStr; 
extern const char* kAutoClefKeyMeterOrderStr; 
extern const char* kAutoStretchLastLineStr; 
extern const char* kAutoStretchFirstLineStr; 
extern const char* kAutoInstrPosStr; 
extern const char* kAutoLyricsPosStr;
extern const char* kAutoIntensPosStr;
extern const char* kHarmonyPosStr;
extern const char* kFingeringPosStr;
extern const char* kFingeringSizeStr;
extern const char* kAutoHideTiedAccidentals;
extern const char* kAutoMultiVoiceCollisions;

#endif


